com.informix.jdbc

## Class IfxPAMChallenge

- java.lang.Object
- - com.informix.jdbc.IfxPAMChallenge

    public class IfxPAMChallenge
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `challengeMessage`
`protected short` `challengeMessageType`
`static short` `PAM_MAX_MESSAGE_SIZE`
`static short` `PAM_MESSAGE_TYPE_UNKNOWN`
`static short` `PAM_PROMPT_ECHO_OFF`
`static short` `PAM_PROMPT_ECHO_ON`
`static short` `PAM_PROMPT_ERROR_MSG`
`static short` `PAM_TEXT_INFO`

### Constructor Summary

Constructors
Constructor and Description
`IfxPAMChallenge()`
`IfxPAMChallenge(java.lang.String message, short type)`

### Method Summary

Methods
`java.lang.String` `getChallenge()`
`short` `getChallengeType()`
`void` `setChallenge(java.lang.String message)`
`void` `setChallengeType(short messageType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PAM_MESSAGE_TYPE_UNKNOWN

    public static final short PAM_MESSAGE_TYPE_UNKNOWN

See Also:
  Constant Field Values

#### PAM_PROMPT_ECHO_OFF

    public static final short PAM_PROMPT_ECHO_OFF

See Also:
  Constant Field Values

#### PAM_PROMPT_ECHO_ON

    public static final short PAM_PROMPT_ECHO_ON

See Also:
  Constant Field Values

#### PAM_PROMPT_ERROR_MSG

    public static final short PAM_PROMPT_ERROR_MSG

See Also:
  Constant Field Values

#### PAM_TEXT_INFO

    public static final short PAM_TEXT_INFO

See Also:
  Constant Field Values

#### PAM_MAX_MESSAGE_SIZE

    public static final short PAM_MAX_MESSAGE_SIZE

See Also:
  Constant Field Values

#### challengeMessage

    protected java.lang.String challengeMessage

#### challengeMessageType

    protected short challengeMessageType

### Constructor Detail

#### IfxPAMChallenge

    public IfxPAMChallenge()

#### IfxPAMChallenge

    public IfxPAMChallenge(java.lang.String message,
                   short type)

### Method Detail

#### getChallenge

    public java.lang.String getChallenge()

#### setChallenge

    public void setChallenge(java.lang.String message)

#### getChallengeType

    public short getChallengeType()

#### setChallengeType

    public void setChallengeType(short messageType)